<script>
  import Header from "./../components/Header.svelte";
  import Footer from "./../components/Footer.svelte";
  import CreatePollForm from "./../components/CreatePollForm.svelte";
  import PollList from "./../components/PollList.svelte";
  import Tabs from "./../shared/Tabs.svelte";

  // tabs
  let items = ["Current Polls", "Add New Poll"];
  let activeItem = "Current Polls";
  const tabChange = (e) => (activeItem = e.detail);

  const handleAdd = () => {
    activeItem = "Current Pollsn ";
  };
</script>

<Header />
<div class="bg-[#f7f7f7] dark:bg-slate-800 p-6">
  <main class="dark:bg-slate-800">
    <Tabs {activeItem} {items} on:tabChange={tabChange} />
    {#if activeItem === "Current Polls"}
      <PollList />
    {:else if activeItem === "Add New Poll"}
      <CreatePollForm on:add={handleAdd} />
    {/if}
  </main>
  <Footer />
</div>

<style>
  main {
    width: 100%;
    max-width: 960px;
    margin: 40px auto;
  }
</style>
